HG(OUTGOING)

NAME
hg outgoing - show changesets not found in the destination

SYNOPSIS

hg outgoing [-M] [-p] [-n] [-f] [-r REV]... [DEST]...

DESCRIPTION

Show changesets not found in the specified destination repository or the default push location. These are the changesets that would be pushed if a push was requested.

See pull for details of valid destination formats.

With -B/--bookmarks, the result of bookmark comparison between local and remote repositories is displayed. With -v/--verbose, status is also displayed for each bookmark like below:

BM1               01234567890a added
BM2                            deleted
BM3               234567890abc advanced
BM4               34567890abcd diverged
BM5               4567890abcde changed

The action taken when pushing depends on the status of each bookmark:

added

    push with -B will create it

deleted

    push with -B will delete it

advanced

    push will update it

diverged

    push with -B will update it

changed

    push with -B will update it

    From the point of view of pushing behavior, bookmarks existing only in the remote repository are treated as deleted, even if it is in fact added remotely.

    Returns 0 if there are outgoing changes, 1 otherwise.

OPTIONS

-f, --force
    run even when the destination is unrelated

-r,--rev <REV[+]>
    a changeset intended to be included in the destination

-n, --newest-first
    show newest record first

-B, --bookmarks
    compare bookmarks

-b,--branch <BRANCH[+]>
    a specific branch you would like to push

-p, --patch
    show patch

-g, --git
    use git extended diff format

-l,--limit <NUM>
    limit number of changes displayed

-M, --no-merges
    do not show merges

--stat
    output diffstat-style summary of changes

-G, --graph
    show the revision DAG

--style <STYLE>
    display using template map file (DEPRECATED)

-T,--template <TEMPLATE>
    display with template

-e,--ssh <CMD>
    specify ssh command to use

--remotecmd <CMD>
    specify hg command to run on the remote side

--insecure
    do not verify server certificate (ignoring web.cacerts config)

-S, --subrepos
    recurse into subrepositories

    [+] marked option can be specified multiple times

ALIASES

out